dudley::AssembleParameters Struct Reference

`#include <Assemble.h>`

## Public Member Functions

| AssembleParameters (const NodeFile *nodes, const ElementFile *ef, escript::ASM_ptr sm, escript::Data &rhs, bool reducedOrder)

## Public Attributes

const ElementFile * | elements
| element file these parameters apply to More...
escript::AbstractSystemMatrix * | S
| system matrix to be updated More...
escript::Data & | F
| right-hand side to be updated More...
int | numQuad
| number of quadrature nodes More...
int | numDim
| number of spatial dimensions More...
int | NN
| leading dimension of element node table More...
int | numEqu
| number of equations (= matrix row/column block size) More...
const index_t * | DOF
| row and column degrees of freedom More...
dim_t | DOF_UpperBound
| number of local degrees of freedom More...
const ElementFile_Jacobians * | jac
| reference to jacobians More...
int | numShapes
const double * | shapeFns

## Constructor & Destructor Documentation

## AssembleParameters()

dudley::AssembleParameters::AssembleParameters | ( | const NodeFile * | nodes,
|  | const ElementFile * | ef,
|  | escript::ASM_ptr | sm,
|  | escript::Data & | rhs,
|  | bool | reducedOrder
| ) |  |

References escript::Data::actsExpanded(), dudley::ElementFile::borrowJacobians(), dudley::NodeFile::borrowTargetDegreesOfFreedom(), paso::SystemMatrix< T >::col_block_size, paso::SystemMatrix< T >::col_distribution, DOF, DOF_UpperBound, elements, escript::Data::getDataPointSize(), dudley::NodeFile::getNumDegreesOfFreedom(), dudley::getQuadShape(), escript::Data::isEmpty(), jac, paso::SystemMatrix< T >::logical_row_block_size, NN, numDim, dudley::ElementFile_Jacobians::numDim, dudley::ElementFile::numDim, dudley::ElementFile_Jacobians::numElements, dudley::ElementFile::numElements, numEqu, dudley::ElementFile::numNodes, numQuad, dudley::ElementFile_Jacobians::numQuad, escript::Data::numSamplesEqual(), numShapes, dudley::ElementFile_Jacobians::numShapes, paso::SystemMatrix< T >::row_block_size, paso::SystemMatrix< T >::row_distribution, and shapeFns.

## Member Data Documentation

## DOF

const index_t* dudley::AssembleParameters::DOF

row and column degrees of freedom

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## DOF_UpperBound

dim_t dudley::AssembleParameters::DOF_UpperBound

number of local degrees of freedom

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## elements

const ElementFile* dudley::AssembleParameters::elements

element file these parameters apply to

Referenced by dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## F

escript::Data& dudley::AssembleParameters::F

right-hand side to be updated

Referenced by dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), and dudley::Assemble_PDE_System_3D().

## jac

const ElementFile_Jacobians* dudley::AssembleParameters::jac

reference to jacobians

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## NN

int dudley::AssembleParameters::NN

leading dimension of element node table

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## numDim

int dudley::AssembleParameters::numDim

number of spatial dimensions

Referenced by dudley::Assemble_PDE(), and AssembleParameters().

## numEqu

int dudley::AssembleParameters::numEqu

number of equations (= matrix row/column block size)

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE(), dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## numQuad

int dudley::AssembleParameters::numQuad

number of quadrature nodes

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## numShapes

int dudley::AssembleParameters::numShapes

Referenced by dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

## S

escript::AbstractSystemMatrix* dudley::AssembleParameters::S

system matrix to be updated

Referenced by dudley::Assemble_PDE_Points(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), and dudley::Assemble_PDE_System_3D().

## shapeFns

const double* dudley::AssembleParameters::shapeFns

Referenced by dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and AssembleParameters().

The documentation for this struct was generated from the following files:

- dudley/src/Assemble.h
- dudley/src/Assemble_getAssembleParameters.cpp